client.stub.iaccessi

## Class AccessLogQuery

- java.lang.Object
- - client.stub.iaccessi.AccessLogQuery

-     public class AccessLogQuery
      extends Object

  Classe Java per accessLogQuery complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="accessLogQuery">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patientCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="dateFrom" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0" form="qualified"/>
               <element name="dateTo" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0" form="qualified"/>
               <element name="operations" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0" form="qualified"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LocalDateTime` | `dateFrom`
    `protected LocalDateTime` | `dateTo`
    `protected List<String>` | `operations`
    `protected String` | `patientCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDateTime` | `getDateFrom()` Recupera il valore della proprietà dateFrom.
    `LocalDateTime` | `getDateTo()` Recupera il valore della proprietà dateTo.
    `List<String>` | `getOperations()` Gets the value of the operations property.
    `String` | `getPatientCode()` Recupera il valore della proprietà patientCode.
    `void` | `setDateFrom(LocalDateTime value)` Imposta il valore della proprietà dateFrom.
    `void` | `setDateTo(LocalDateTime value)` Imposta il valore della proprietà dateTo.
    `void` | `setPatientCode(String value)` Imposta il valore della proprietà patientCode.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### patientCode

          protected String patientCode

    - #### dateFrom

          protected LocalDateTime dateFrom

    - #### dateTo

          protected LocalDateTime dateTo

    - #### operations

          protected List<String> operations

  - ### Constructor Detail

    - #### AccessLogQuery

          public AccessLogQuery()

  - ### Method Detail

    - #### getPatientCode

          public String getPatientCode()

      Recupera il valore della proprietà patientCode.
      Returns:
        possible object is `String`

    - #### setPatientCode

          public void setPatientCode(String value)

      Imposta il valore della proprietà patientCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getDateFrom

          public LocalDateTime getDateFrom()

      Recupera il valore della proprietà dateFrom.
      Returns:
        possible object is `String`

    - #### setDateFrom

          public void setDateFrom(LocalDateTime value)

      Imposta il valore della proprietà dateFrom.
      Parameters:
        `value` - allowed object is `String`

    - #### getDateTo

          public LocalDateTime getDateTo()

      Recupera il valore della proprietà dateTo.
      Returns:
        possible object is `String`

    - #### setDateTo

          public void setDateTo(LocalDateTime value)

      Imposta il valore della proprietà dateTo.
      Parameters:
        `value` - allowed object is `String`

    - #### getOperations

          public List<String> getOperations()

      Gets the value of the operations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the operations property.

      For example, to add a new item, do as follows:

              getOperations().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.